Extract from ZIP
Use this extractor for .zip files. It can extract images, metadata into a ZIP result.
Try Extract images from ZIP in the browser ->
Extract.FAST uses this same API -- what you see in the browser is what you get in code.
Quick reference
| Field | Value |
|---|---|
| Source file type | .zip |
| Source group | Archives |
| Submit endpoint | POST https://api.tools.fast/extract |
| Estimate endpoint | POST https://api.tools.fast/extract/estimate/zip |
| Result | ZIP download |
| Default capabilities | archive.images, archive.metadata |
| Max file size | free: 50 MB; pro: 2048 MB |
| Document limits | Not applicable |
| Duration limits | Not applicable |
Capabilities
| Capability | Default | Options | Pricing | Description |
|---|---|---|---|---|
archive.images | Yes | None | Included | Image files found inside the archive. |
archive.metadata | Yes | None | Included | Archive structure and file metadata. |
Options payload with all capabilities
Use this shape when you want to explicitly configure every supported output for this source type.
{
"extraction": {
"selectedCapabilities": [
"archive.images",
"archive.metadata"
],
"includeManifest": true
}
}Estimate example
curl -sS -X POST "https://api.tools.fast/extract/estimate/zip" \
-H "X-Fast-Api-Key: $API_KEY" \
-H "Content-Type: application/json" \
-d '{
"fileSizeMb": 10,
"options": {
"extraction": {
"selectedCapabilities": [
"archive.images",
"archive.metadata"
],
"includeManifest": true
}
}
}'Extract example with all options configured
curl -sS -X POST "https://api.tools.fast/extract" \
-H "X-Fast-Api-Key: $API_KEY" \
-F "[email protected]" \
-F 'options={
"extraction": {
"selectedCapabilities": [
"archive.images",
"archive.metadata"
],
"includeManifest": true
}
}'Machine-readable discovery
GET /options/zip
GET /extractors/zip